Imports Microsoft.EntityFrameworkCore.Migrations

Namespace SamuraiApp.Data.Migrations
	Partial Public Class JoinTable
		Inherits Migration
		Protected Overrides Sub Up(ByVal migrationBuilder As MigrationBuilder)
			migrationBuilder.DropForeignKey(name:= "FK_Samurais_Battles_BattleId", table:= "Samurais")

			migrationBuilder.DropIndex(name:= "IX_Samurais_BattleId", table:= "Samurais")

			migrationBuilder.DropColumn(name:= "BattleId", table:= "Samurais")

            migrationBuilder.CreateTable(name:="SamuraiBattle", columns:=Function(table) New With {Key .BattleId = table.Column(Of Integer)(nullable:=False), Key .SamuraiId = table.Column(Of Integer)(nullable:=False)}, constraints:=Function(table) {table.PrimaryKey("PK_SamuraiBattle", Function(x) New With {Key x.BattleId, Key x.SamuraiId}), table.ForeignKey(name:="FK_SamuraiBattle_Battles_BattleId", column:=Function(x) x.BattleId, principalTable:="Battles", principalColumn:="Id", onDelete:=ReferentialAction.Cascade), table.ForeignKey(name:="FK_SamuraiBattle_Samurais_SamuraiId", column:=Function(x) x.SamuraiId, principalTable:="Samurais", principalColumn:="Id", onDelete:=ReferentialAction.Cascade)})

            migrationBuilder.CreateIndex(name:= "IX_SamuraiBattle_BattleId", table:= "SamuraiBattle", column:= "BattleId")

			migrationBuilder.CreateIndex(name:= "IX_SamuraiBattle_SamuraiId", table:= "SamuraiBattle", column:= "SamuraiId")
		End Sub

		Protected Overrides Sub Down(ByVal migrationBuilder As MigrationBuilder)
			migrationBuilder.DropTable(name:= "SamuraiBattle")

			migrationBuilder.AddColumn(Of Integer)(name:= "BattleId", table:= "Samurais", nullable:= False, defaultValue:= 0)

			migrationBuilder.CreateIndex(name:= "IX_Samurais_BattleId", table:= "Samurais", column:= "BattleId")

			migrationBuilder.AddForeignKey(name:= "FK_Samurais_Battles_BattleId", table:= "Samurais", column:= "BattleId", principalTable:= "Battles", principalColumn:= "Id", onDelete:= ReferentialAction.Cascade)
		End Sub
	End Class
End Namespace
