Imports Microsoft.EntityFrameworkCore.Migrations

Namespace SamuraiApp.Data.Migrations
	Partial Public Class AddedSamuraiBattlesToContext
		Inherits Migration
		Protected Overrides Sub Up(ByVal migrationBuilder As MigrationBuilder)
			migrationBuilder.DropForeignKey(name:= "FK_SamuraiBattle_Battles_BattleId", table:= "SamuraiBattle")

			migrationBuilder.DropForeignKey(name:= "FK_SamuraiBattle_Samurais_SamuraiId", table:= "SamuraiBattle")

			migrationBuilder.DropPrimaryKey(name:= "PK_SamuraiBattle", table:= "SamuraiBattle")

			migrationBuilder.RenameTable(name:= "SamuraiBattle", newName:= "SamuraiBattles")

			migrationBuilder.RenameIndex(name:= "IX_SamuraiBattle_SamuraiId", table:= "SamuraiBattles", newName:= "IX_SamuraiBattles_SamuraiId")

			migrationBuilder.AddPrimaryKey(name:= "PK_SamuraiBattles", table:= "SamuraiBattles", columns:= { "BattleId", "SamuraiId" })

			migrationBuilder.AddForeignKey(name:= "FK_SamuraiBattles_Battles_BattleId", table:= "SamuraiBattles", column:= "BattleId", principalTable:= "Battles", principalColumn:= "Id", onDelete:= ReferentialAction.Cascade)

			migrationBuilder.AddForeignKey(name:= "FK_SamuraiBattles_Samurais_SamuraiId", table:= "SamuraiBattles", column:= "SamuraiId", principalTable:= "Samurais", principalColumn:= "Id", onDelete:= ReferentialAction.Cascade)
		End Sub

		Protected Overrides Sub Down(ByVal migrationBuilder As MigrationBuilder)
			migrationBuilder.DropForeignKey(name:= "FK_SamuraiBattles_Battles_BattleId", table:= "SamuraiBattles")

			migrationBuilder.DropForeignKey(name:= "FK_SamuraiBattles_Samurais_SamuraiId", table:= "SamuraiBattles")

			migrationBuilder.DropPrimaryKey(name:= "PK_SamuraiBattles", table:= "SamuraiBattles")

			migrationBuilder.RenameTable(name:= "SamuraiBattles", newName:= "SamuraiBattle")

			migrationBuilder.RenameIndex(name:= "IX_SamuraiBattles_SamuraiId", table:= "SamuraiBattle", newName:= "IX_SamuraiBattle_SamuraiId")

			migrationBuilder.AddPrimaryKey(name:= "PK_SamuraiBattle", table:= "SamuraiBattle", columns:= { "BattleId", "SamuraiId" })

			migrationBuilder.AddForeignKey(name:= "FK_SamuraiBattle_Battles_BattleId", table:= "SamuraiBattle", column:= "BattleId", principalTable:= "Battles", principalColumn:= "Id", onDelete:= ReferentialAction.Cascade)

			migrationBuilder.AddForeignKey(name:= "FK_SamuraiBattle_Samurais_SamuraiId", table:= "SamuraiBattle", column:= "SamuraiId", principalTable:= "Samurais", principalColumn:= "Id", onDelete:= ReferentialAction.Cascade)
		End Sub
	End Class
End Namespace
