Imports System.ComponentModel
Imports System.Runtime.CompilerServices

Namespace SamuraiApp.Domain
  Public Class ClientChangeTracker
	  Implements INotifyPropertyChanged
	Private _isDirty As Boolean

	Public Property IsDirty As Boolean
	  Get
		  Return _isDirty
	  End Get
	  Set(ByVal value As Boolean)
		  SetWithNotify(value, _isDirty)
	  End Set
	End Property

	Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged
        Protected Sub SetWithNotify(Of T)(ByVal value As T, ByRef field As T, <CallerMemberName> Optional ByVal propertyName As String = "")
            If Not Equals(field, value) Then
                field = value
                PropertyChangedEvent?.Invoke(Me, New PropertyChangedEventArgs(propertyName))
            End If
        End Sub

        Private Function propertyName() As String
            Throw New NotImplementedException()
        End Function
    End Class
End Namespace
